%define upstream_name    Object-Enum
%define upstream_version 0.075

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl Enum Replacement
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Implements enums in Perl in a robust manner.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

# not needed
rm -f %{buildroot}%{perl_vendorlib}/.DS_Store

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.75.0-5.mga9
+ Revision: 1805015
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.75.0-4.mga8
+ Revision: 1496145
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.75.0-3.mga7
+ Revision: 1270215
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.75.0-2.mga6
+ Revision: 1031421
- Rebuild for perl 5.22.2

* Tue Mar 22 2016 shlomif <shlomif> 0.75.0-1.mga6
+ Revision: 994173
- update to 0.075

* Thu Feb 04 2016 umeabot <umeabot> 0.74.0-4.mga6
+ Revision: 935031
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.74.0-3.mga5
+ Revision: 743026
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.74.0-2.mga5
+ Revision: 685779
- Mageia 5 Mass Rebuild

* Fri May 30 2014 sander85 <sander85> 0.74.0-1.mga5
+ Revision: 627933
- update to 0.074

* Tue May 20 2014 jquelin <jquelin> 0.73.0-1.mga5
+ Revision: 624394
- update to 0.073

* Fri Oct 18 2013 umeabot <umeabot> 0.72.0-4.mga4
+ Revision: 513740
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.72.0-3.mga3
+ Revision: 371093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 0.72.0-2.mga3
+ Revision: 310466
- Fix desc and summary

* Fri Oct 26 2012 shlomif <shlomif> 0.72.0-1.mga3
+ Revision: 310431
- imported package perl-Object-Enum


* Fri Oct 26 2012 cpan2dist 0.072-1mga
- initial mageia release, generated with cpan2dist
